<form (ngSubmit)="onSubmit()"
      [formGroup]="form"
>
  <mat-form-field *ngIf="getFormControl(formDefinition.resId) as fd"
                  [appearance]="appearanceInputMaterial"
                  [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                  solidifyTooltipOnEllipsis
  >
    <mat-label>{{labelTranslateEnum.language | translate}}</mat-label>
    <mat-select [formControl]="fd"
                [required]="formValidationHelper.hasRequiredField(fd)"
                (blur)="checkAvailable(formDefinition.resId, fd)"
    >
      <mat-option *ngFor="let language of listLanguages"
                  [value]="language.iso"
                  solidifyTooltipOnEllipsis
      >
        {{language.name}}
      </mat-option>
    </mat-select>
  </mat-form-field>

  <mat-form-field *ngIf="getFormControl(formDefinition.resId) as fd"
                  [appearance]="appearanceInputMaterial"
                  [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                  solidifyTooltipOnEllipsis
  >
    <mat-label>{{labelTranslateEnum.identifier | translate }}</mat-label>
    <input [value]="getFormControl(formDefinition.resId).value"
           disabled
           matInput
    >
  </mat-form-field>

  <mat-form-field *ngIf="getFormControl(formDefinition.code) as fd"
                  [appearance]="appearanceInputMaterial"
                  [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                  solidifyTooltipOnEllipsis
  >
    <mat-label>{{labelTranslateEnum.code | translate }}</mat-label>
    <input [value]="getFormControl(formDefinition.code).value"
           disabled
           matInput
    >
  </mat-form-field>
  <dlcm-shared-additional-information-panel-container *ngIf="model | isNotNullNorUndefined"
                                                      [resource]="model"
  >
  </dlcm-shared-additional-information-panel-container>
</form>
